Subject: [PERL 5.7 +DEVEL7637] Built o.k. on cygwin 1.1.5
From: "Gerrit P. Haase" <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 11 Nov 2000 15:22:17 +0100

Build Perl 5.7 on cygwin & WinNT4.0 Server
==========================================

Configuration:
==============
  cygipc-1.07-1
  gdbm-1.8.0-3
  db-3.1.17-1
  sh == bash 2.04-3
  gcc-2.95.2-5
  make 3.79.1-2

I compiled Perl 5.7 +DEVEL7638, from a snapshot of 2000/11/02
it is named [email-masked]
Get it here:
        ftp://ftp.funet.fi/pub/languages/perl/snap/

This patch should be the only one to make it.
========================== BEGIN OF PATCH ================================
diff -ur perl.orig/README.cygwin perl.x/README.cygwin
--- perl.orig/README.cygwin	Tue Nov  7 21:40:56 2000
+++ perl.x/README.cygwin	Thu Nov  9 15:20:42 2000
@@ -253,14 +253,6 @@
 At least for consistency with WinNT, you should keep the recommended
 value.
 
-=item * Checking how std your stdio is...
-
-Configure reports:
-
-  Your stdio doesn't appear very std.
-
-This is correct.
-
 =item * Compiler/Preprocessor defines
 
 The following error occurs because of the Cygwin C<#define> of
@@ -582,6 +574,10 @@
 However, additional Cygwin calls for manipulating WinNT access tokens
 and security contexts are required.
 
+When building DLLs, `C<dllwrap --export-all-symbols>' is used to export
+global symbols.  It might be better to generate an explicit F<.def> file
+(see F<makedef.pl>).  Also, DLLs can now be build with `C<gcc -shared>'.
+
 =head1 AUTHORS
 
 Charles Wilson <[email-masked]>,
@@ -593,4 +589,4 @@
 
 =head1 HISTORY
 
-Last updated: 7 November 2000
+Last updated: 9 November 2000
diff -ur perl.orig/lib/ExtUtils/MM_Cygwin.pm perl.x/lib/ExtUtils/MM_Cygwin.pm
--- perl.orig/lib/ExtUtils/MM_Cygwin.pm	Sun Oct 22 19:36:25 2000
+++ perl.x/lib/ExtUtils/MM_Cygwin.pm	Thu Nov  9 16:23:38 2000
@@ -71,6 +71,8 @@
 
     push(@m,"\n");
     if (%{$self->{MAN1PODS}} || %{$self->{MAN3PODS}}) {
+        grep { $self->{MAN1PODS}{$_} =~ s/::/./g } keys %{$self->{MAN1PODS}};
+        grep { $self->{MAN3PODS}{$_} =~ s/::/./g } keys %{$self->{MAN3PODS}};
         push @m, "\t$self->{NOECHO}\$(POD2MAN) \\\n\t";
         push @m, join " \\\n\t", %{$self->{MAN1PODS}}, %{$self->{MAN3PODS}};
     }
================================ END OF PATCH ================================

# dynamic loading didn't work for me, so i make it static
# with stripped binaries

I changed my standard setup, mainly the path setting and some other:
(PATH and this two one):
export CYGWIN=binmode tty ntea nontsec
export TEMP=/tmp

sh ./Configure -Uusedl -Dusemultiplicity  -Duseperlio 2>&1 | tee log.configure
make 2>&1 | tee log.make

# to avoid taint & warnings test failures
cp /usr/bin/cygwin1.dll /usr/local/src/perl
cp /usr/bin/libdb.dll /usr/local/src/perl
cp /usr/bin/cyggdbm.dll /usr/local/src/perl
ipc-daemon

# run tests
make test 2>&1 | tee log.make-test
cd t
./perl harness 2>&1 | tee ../log.harness

# harness log 1
Failed Test    Status Wstat Total Fail  Failed  List of Failed
--------------------------------------------------------------------------------
io/fs.t                       29    4  13.79%  5, 7, 9-10
lib/anydbm.t                  12    1   8.33%  2
lib/db-btree.t               155    1   0.65%  20
lib/db-hash.t                109    1   0.92%  16
lib/db-recno.t               126    1   0.79%  18
lib/gdbm.t                    66    1   1.52%  2
lib/ndbm.t                    64    1   1.56%  2
lib/odbm.t                    64    1   1.56%  2
lib/sdbm.t                    66    1   1.52%  2
op/pwent.t                     2    1  50.00%  1
op/stat.t                     58    2   3.45%  9, 20
4 tests and 100 subtests skipped.
Failed 11/268 test scripts, 95.90% okay. 15/15739 subtests failed, 99.90% okay.

# i closed the bash shell window and opened a new to run the tests again:
# harness log 2
Failed Test    Status Wstat Total Fail  Failed  List of Failed
--------------------------------------------------------------------------------
io/fs.t                       29    4  13.79%  5, 7, 9-10
io/openpid.t                  10    1  10.00%  8
lib/anydbm.t                  12    1   8.33%  2
lib/db-btree.t               155    1   0.65%  20
lib/db-hash.t                109    1   0.92%  16
lib/db-recno.t               126    1   0.79%  18
lib/gdbm.t                    66    1   1.52%  2
lib/ndbm.t                    64    1   1.56%  2
lib/odbm.t                    64    1   1.56%  2
lib/sdbm.t                    66    1   1.52%  2
op/pwent.t                     2    1  50.00%  1
op/stat.t                     58    2   3.45%  9, 20
4 tests and 100 subtests skipped.
Failed 12/268 test scripts, 95.52% okay. 16/15739 subtests failed, 99.90% okay.
#

make install.perl install.man 2>&1 | tee log.make-install

siebenschlaefer@LORELEY /
$ perl -V
Summary of my perl5 (revision 5.0 version 7 subversion 0) configuration:
  Platform:
    osname=cygwin, osvers=1.1.5(0.3032), archname=cygwin-multi
    uname='cygwin_nt-4.0 loreley 1.1.5(0.3032) 2000-11-08 20:29 i686 unknown '
    config_args='-de -Uusedl -Dusemultiplicity -Duseperlio'
    hint=recommended, useposix=true, d_sigaction=define
    usethreads=undef use5005threads=undef useithreads=undef 
usemultiplicity=define
    useperlio=define d_sfio=undef uselargefiles=define usesocks=undef
    use64bitint=undef use64bitall=undef uselongdouble=undef
  Compiler:
    cc='gcc', ccflags ='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -
I/usr/local/include',
    optimize='-O2',
    cppflags='-DPERL_USE_SAFE_PUTENV -fno-strict-aliasing -I/usr/local/include'
    ccversion='', gccversion='2.95.2-4 19991024 (cygwin experimental)', 
gccosandvers=''
    intsize=4, longsize=4, ptrsize=4, doublesize=8, byteorder=1234
    d_longlong=define, longlongsize=8, d_longdbl=define, longdblsize=12
    ivtype='long', ivsize=4, nvtype='double', nvsize=8, Off_t='off_t', 
lseeksize=4
    alignbytes=8, usemymalloc=y, prototype=define
  Linker and Libraries:
    ld='ld', ldflags =' -s -L/usr/local/lib'
    libpth=/usr/local/lib /usr/lib /lib
    libs=-lgdbm -ldb -lcrypt -lcygipc
    perllibs=-lgdbm -ldb -lcrypt -lcygipc
    libc=/usr/lib/libc.a, so=dll, useshrplib=false, libperl=libperl.a
  Dynamic Linking:
    dlsrc=dl_none.xs, dlext=none, d_dlsymun=undef, ccdlflags=''
    cccdlflags=' ', lddlflags=''

Characteristics of this binary (from libperl):
  Compile-time options: MULTIPLICITY USE_LARGE_FILES PERL_IMPLICIT_CONTEXT
  Locally applied patches:
        DEVEL7637
  Built under cygwin
  Compiled at Nov 11 2000 12:54:14
  @INC:
    /usr/local/lib/perl5/5.7.0/cygwin-multi
    /usr/local/lib/perl5/5.7.0
    /usr/local/lib/perl5/site_perl/5.7.0/cygwin-multi
    /usr/local/lib/perl5/site_perl/5.7.0
    /usr/local/lib/perl5/site_perl
    .

Ciao,

- gph -

-- 
Gerrit Peter Haase
¤º°`°º¤ø,¸¸,ø¤º°`°º¤ø,¸¸,ø¤º°`°º¤ø,¸¸,ø¤º°`°º¤ø,¸¸,ø¤º°`°º¤ø,¸¸,ø¤

--
Want to unsubscribe from this list?
Send a message to [email-masked]